Skip to main content
GET
/
v1.0
/
calls
List calls of a lead
curl --request GET \
  --url https://api.lofty.com/v1.0/calls \
  --header 'Authorization: <authorization>'
{
  "get_metadata": {
    "collection": "note",
    "limit": 10,
    "offset": 0,
    "total": 50,
    "scrollId": "<string>"
  },
  "calls": [
    {
      "id": 563172647619608,
      "dialerCallRecordId": 400000012345,
      "userId": 100234,
      "userPhoneNumber": "+14155550100",
      "leadId": 100001,
      "leadPhoneNumber": "+14155550199",
      "direction": "Outbound",
      "status": "Completed",
      "startTime": "2026-04-22 10:15:00",
      "endTime": "2026-04-22 10:18:45",
      "duration": 225,
      "callingOutcome": "Talked",
      "rateScore": 4,
      "recordingSwitch": true,
      "showUserNumber": "+14155550100",
      "createTime": "2026-04-22 10:15:00",
      "updateTime": "2026-04-22 10:18:45",
      "note": "Discussed pre-approval timeline.",
      "isMachineAnswered": false,
      "price": 0.02,
      "agentId": 100234,
      "elapsedTime": "00:08"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.lofty.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string
required

Bearer [access_token]

Query Parameters

limit
integer<int32>
default:10

Number of results to return per page.

Required range: x >= 1
offset
integer<int32>
default:0

Zero-based index of the first entry to return.

Required range: x >= 0
leadId
integer<int64>
required

ID of the lead whose calls to return.

Required range: x >= 1

Response

Page of call records with pagination metadata.

Response for GET /v1.0/calls: a page of call records with pagination metadata.

get_metadata
object

Pagination metadata (offset, limit, total, collection).

calls
object[]

Call records on this page.